﻿<!DOCTYPE html>
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8"/>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width" />
    <title>@ViewBag.Title</title>
    @Styles.Render("~/Content/css")
    @Scripts.Render("~/bundles/modernizr")
</head>
<body>
    <div class="navbar navbar-inverse navbar-fixed-top">
        <div class="container">
            <div class="navbar-header">
                <button type="button" class="navbar-toggle" data-toggle="collapse" data-target=".navbar-collapse">
                    <span class="icon-bar"></span>
                    <span class="icon-bar"></span>
                    <span class="icon-bar"></span>
                </button>
                @Html.ActionLink("CityManager", "Index", "Home", new { area = "" }, new { @class = "navbar-brand" })
            </div>
            <div class="navbar-collapse collapse">
                <ul class="nav navbar-nav">
                    @if (User != null && User.IsInRole("Admin"))
                    {
                        <li>@Html.ActionLink("Accueil", "Index", "Home", new { area = "" }, null)</li>
                        <li>@Html.ActionLink("Storage", "Index", "Storages", new { area = "" }, null)</li>
                        <li>@Html.ActionLink("Happiness", "Index", "Happinesses", new { area = "" }, null)</li>
                        <li>@Html.ActionLink("Production", "Index", "Productions", new { area = "" }, null)</li>
                        <li>@Html.ActionLink("Resource", "Index", "Resources", new { area = "" }, null)</li>
                    }
                    else if (User.IsInRole("Player"))
                    {
                        <li>@Html.ActionLink("Accueil", "User", "Home", new { area = "" }, null)</li>
                        <li>@Html.ActionLink("Storage", "Index", "Storages", new { area = "" }, null)</li>
                        <li>@Html.ActionLink("Happiness", "Index", "Happinesses", new { area = "" }, null)</li>
                        <li>@Html.ActionLink("Production", "Index", "Productions", new { area = "" }, null)</li>
                    }
                    <li>@Html.Partial("_LoginPartial")</li>

                </ul>
            </div>
        </div>
    </div>
    <div class="container body-content">
        @RenderBody()
        <hr />
        <footer>
            <p>&copy; @DateTime.Now.Year - My ASP.NET Application</p>
        </footer>
    </div>

    @Scripts.Render("~/bundles/jquery")
    @Scripts.Render("~/bundles/bootstrap")
    @RenderSection("scripts", required: false)
</body>
</html>
